CACOSH(3P)

NAME
cacosh, cacoshf - complex arc hyperbolic cosine functions

SYNOPSIS

#include <complex.h>

double complex cacosh(double complex z);
float complex cacoshf(float complex z);

DESCRIPTION

These functions compute the complex arc hyperbolic cosine of z, with a branch cut at values less than 1 along the real axis.

RETURN VALUE

These functions return the complex arc hyperbolic cosine value, in the range of a half-strip of non-negative values along the real axis and in the interval [-ipi, +ipi] along the imaginary axis.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

ccosh(), the Base Definitions volume of IEEE Std 1003.1-2001, <complex.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .